const app = getApp()
Page({

	/**
	 * 页面的初始数据
	 */
	data: {
		token: '',
		isEmpty: false,
		list: [],
		triggered: false,
		page: {
			page: 1,
			rows: 10
		},
		scrollHeight: 400,
		totalNum:0,
	},

	/**
	 * 生命周期函数--监听页面加载
	 */
	onLoad: function (options) {
		this.doLogin();
		let screenHeight = wx.getSystemInfoSync().windowHeight;
		this.setData({
			scrollHeight: screenHeight - 335
		})
	},
	getList() {
		var _self = this;
		wx.showLoading({
			title: '加载中...',
		})
		app.restAjax.get(app.restAjax.path('{reqesutUrl}app/news/listpagenews/notice', [app.requestUrl]), _self.data.page, {
			headers: {
				token: _self.data.token
			}
		}, function (code, data) {
			wx.hideLoading();
			console.log(data);
			_self.setData({
				totalNum: data.total
			})
			if (data.rows.length == 0) {
				if (_self.data.page.page == 1) {
					_self.setData({
						list: []
					})
				} else {
					_self.setData({
						[`page.page`]: _self.data.page.page - 1
					})
					wx.showToast({
						title: '暂无更多数据',
						icon: 'none'
					})
					return false;
				}
			}
			if (_self.data.page.page == 1) {
				_self.setData({
					list: data.rows
				})
			} else {
				_self.setData({
					list: _self.data.list.concat(data.rows)
				})
			}
		});
	},
	// 登录
	doLogin: function () {
		var self = this
		wx.login({
			success: function (res) {
				app.restAjax.post(app.restAjax.path('{url}wxminiapp/auth/login', [app.loginUrl]), {
					jsCode: res.code
				}, null, function (code, data) {
					var tokenArray = data.data.split('_');
					var token = tokenArray[0];
					self.setData({
						token: token
					})
					wx.setStorageSync('token', token);
					self.getList()
				}, function (code, data) {
					app.dialog.msg(data.msg);
				});
			}
		})
	},
	onScrollRefresh() {
		console.log('加载中...')
		var _self = this;
		_self.setData({
			list: [],
			['page.page']: 1,
			triggered: false,
			totalNum:0

		})
		_self.getList()
	},
	onLoadMore(){
		console.log(this.data.list)
		var self = this
		if (self.data.totalNum === self.data.list.length) {
			wx.showToast({
				title: '暂无更多数据',
				icon: 'none'
			})
		} else {
			var pageNum = 'page.page'
			self.setData({
				[pageNum]: self.data.page.page + 1
			})
			this.getList()
		}
	},
	doCensus() {
		wx.navigateTo({
			url: '/pages/census/census',
		})
	},
	doReport() {

	},
	doCheck() {

	},
	doCaseHistory() {

	}
})